<template>
	<view class="content">
		<video v-if="url" class="video" :src="url" controls></video>
		<navigator url="../vlogIndex/vlogIndex">
			<button type="default">vlog首页</button>
		</navigator>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				url:""
			}
		},
		onShow() {
			// #ifdef MP-WEIXIN  
			if(wx.hideHomeButton){//隐藏返回首页按钮
			    wx.hideHomeButton();  
			}  
			// #endif
		},
		onLoad(res){
			console.log(res);
			this.url=res.url
		},
		methods: {
			
		}
	}
</script>

<style lang="scss" scoped>
	.content{padding: 0 20rpx;box-sizing: border-box;margin: 0 auto;
		.video{height: 350rpx;border-radius: 10rpx;width: 100%;}
	}
</style>
